package com.bonus.zlpt.company.service.impl;

import org.springframework.stereotype.Service;
import javax.annotation.Resource;
import com.bonus.zlpt.company.mapper.MaUpOffMapper;
import com.bonus.zlpt.company.domain.MaUpOff;
import com.bonus.zlpt.company.service.MaUpOffService;
/**
* Description:
* @Author 阮世耀
* @Create 2023/12/3 14:38
* @Version 1.0
*/

@Service
public class MaUpOffServiceImpl implements MaUpOffService{

    @Resource
    private MaUpOffMapper maUpOffMapper;

    @Override
    public int deleteByPrimaryKey(Integer id) {
        return maUpOffMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int insert(MaUpOff record) {
        return maUpOffMapper.insert(record);
    }

    @Override
    public int insertSelective(MaUpOff record) {
        return maUpOffMapper.insertSelective(record);
    }

    @Override
    public MaUpOff selectByPrimaryKey(Integer id) {
        return maUpOffMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKeySelective(MaUpOff record) {
        return maUpOffMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(MaUpOff record) {
        return maUpOffMapper.updateByPrimaryKey(record);
    }

}
